<?php

namespace App\Set;

interface SetRepository
{
    public function create(CreateSetDto $dto): Set;

    public function find(int $id): ?Set;

    /**
     * @return Set[]
     */
    public function getAll(): array;
}
